- Qt 6.7
- Qt Remote Objects
- C++ Classes
- QRemoteObjectDynamicReplica
- Qt 6.7.0 Reference Documentation

# QRemoteObjectDynamicReplica Class

A dynamically instantiated Replica. More...

Header: | #include <QRemoteObjectDynamicReplica>
CMake: | find_package(Qt6 REQUIRED COMPONENTS RemoteObjects) target_link_libraries(mytarget PRIVATE Qt6::RemoteObjects)
qmake: | QT += remoteobjects
Inherits: | QRemoteObjectReplica

- List of all members, including inherited members

## Public Functions

virtual | ~QRemoteObjectDynamicReplica() override

## Detailed Description

There are generated replicas (replicas having the header files produced by the Replica Compiler), and dynamic replicas, that are generated on-the-fly. This is the class for the dynamic type of replica.

When the connection to the Source object is made, the initialization step passes the current property values (see Replica Initialization). In a DynamicReplica, the property/signal/slot details are also sent, allowing the replica object to be created on-the-fly. This can be convenient in QML or scripting, but has two primary disadvantages. First, the object is in effect "empty" until it is successfully initialized by the Source. Second, in C++, calls must be made using QMetaObject::invokeMethod(), as the moc generated lookup will not be available.

This class does not have a public constructor. It can only be instantiated by using the dynamic QRemoteObjectNode::acquire method.

## Member Function Documentation

### `[override virtual noexcept]` QRemoteObjectDynamicReplica::~QRemoteObjectDynamicReplica()

Destroys the dynamic replica.

See also Replica Ownership.